org.apache.tinkerpop.gremlin.process.traversal.strategy

## Class TraversalStrategyProxy<T extends TraversalStrategy>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.TraversalStrategyProxy<T>

- All Implemented Interfaces:
    Serializable, Comparable, TraversalStrategy

      public final class TraversalStrategyProxy<T extends TraversalStrategy>
      extends Object
      implements Serializable, TraversalStrategy

  This class is for use with `Bytecode` and for serialization purposes. It is not meant for direct use with `TraversalSource.withStrategies(TraversalStrategy[])`.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalStrategyProxy(Class<T> strategyClass, Configuration configuration)`
    `TraversalStrategyProxy(T traversalStrategy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Traversal.Admin traversal)`
    `int` | `compareTo(Object o)`
    `Configuration` | `getConfiguration()` Get the configuration representation of this strategy.
    `Class<T>` | `getStrategyClass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `applyPost, applyPrior, compareTo, getTraversalCategory`

- - ### Constructor Detail

    - #### TraversalStrategyProxy

          public TraversalStrategyProxy(T traversalStrategy)

    - #### TraversalStrategyProxy

          public TraversalStrategyProxy(Class<T> strategyClass,
                                        Configuration configuration)

  - ### Method Detail

    - #### getConfiguration

          public Configuration getConfiguration()

      Description copied from interface: `TraversalStrategy`
      Get the configuration representation of this strategy. This is useful for converting a strategy into a serialized form.
      Specified by:
        `getConfiguration` in interface `TraversalStrategy`
      Returns:
        the configuration used to create this strategy

    - #### getStrategyClass

          public Class<T> getStrategyClass()

    - #### apply

          public void apply(Traversal.Admin traversal)

      Specified by:
        `apply` in interface `TraversalStrategy`

    - #### compareTo

          public int compareTo(Object o)

      Specified by:
        `compareTo` in interface `Comparable`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.